# Enum VolumeOperationStatus

java.lang.Object
java.lang.Enum<VolumeOperationStatus>
com.databricks.jdbc.api.impl.VolumeOperationStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<VolumeOperationStatus>`, `java.lang.constant.Constable`

public enum VolumeOperationStatus extends Enum<VolumeOperationStatus>

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ABORTED`
`FAILED`
`PENDING`
`RUNNING`
`SUCCEEDED`

## Method Summary

Modifier and Type
Method
Description
`static VolumeOperationStatus`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static VolumeOperationStatus[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PENDING

public static final VolumeOperationStatus PENDING

### RUNNING

public static final VolumeOperationStatus RUNNING

### ABORTED

public static final VolumeOperationStatus ABORTED

### SUCCEEDED

public static final VolumeOperationStatus SUCCEEDED

### FAILED

public static final VolumeOperationStatus FAILED

## Method Details

### values

public static VolumeOperationStatus[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static VolumeOperationStatus valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null